libpng-1.4.0

Andrew Benton b3nton at gmail.com
Tue Feb 2 06:45:06 PST 2010


Hello world,
I recently rebuilt my system and used libpng-1.4.0. Most things worked 
fine but there were 3 packages that gave me trouble.
cairo-1.8.8 needs to be configured with
./configure png_REQUIRES=libpng14

gimp needed a sed
sed -i 's/gray_1/expand_gray_1/' plug-ins/file-ico/ico-load.c

and xine-ui-0.99.5 needed a sed
sed -i 's/png_check_sig(buf,/ !png_sig_cmp(buf, 0,/' 
src/xitk/Imlib-light/load.c

Andy



More information about the blfs-support mailing list